<?php
/**
 * WordPress (http://wordpress.org) Share now! plugin.
 *
 * Released under the GPL license
 * http://www.opensource.org/licenses/gpl-license.php
 *
 *
 ***********************************************************************
 * This program is distributed in the hope that it will be useful, but *
 * WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                *
 ***********************************************************************
 *
 *
 * @author Bruno Pedro <bpedro@tarpipe.com>
 * @copyright Copyright (c) 2009 tarpipe, SARL
 * @version 0.4
 */
/*
Plugin Name: Share now!
Plugin URI: http://tarpipe.com/tools/widget
Description: Let users share your content without ever leaving your blog.
Author: tarpipe
Version: 0.4.0
Author URI: http://tarpipe.com/
*/

function tp_share_now_widget_show($text)
{
    if (!is_feed()) {
        $title = html_entity_decode(get_the_title($post->ID), ENT_QUOTES, 'UTF-8');
        $text .= '<p><script type="text/javascript" src="http://tarpipe.com/js/widget.js">' .
                 '{title:"' . $title . '",url:"' . get_permalink($post->ID) . '"}' .
                 '</script></p>';
    }
    return $text;
}

add_filter('the_content', 'tp_share_now_widget_show');
?>